Package: org.grails.web.databinding.converters

## [Groovy] Class AbstractStructuredBindingEditor<T>

- org.grails.web.databinding.converters.AbstractStructuredBindingEditor

- All Implemented Interfaces and Traits:
    TypedStructuredBindingEditor<T>

      @groovy.transform.CompileStatic
      abstract class AbstractStructuredBindingEditor<T>
      extends java.lang.Object
      implements TypedStructuredBindingEditor<T>

  An abstract base class for StructuredBindingEditor instances which can be auto-discovered as beans in the Spring application context

  See Also:
    StructuredBindingEditor
  Since:
    2.3.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class<T>` | `targetType` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class<T>` | `targetType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractStructuredBindingEditor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `T` | `getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource bindingSource)`
    `` | `abstract T` | `getPropertyValue(java.util.Map values)`
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `getPropertyValuesMap(java.lang.String propertyPrefix, DataBindingSource bindingSource)` A convenience method for extracting structured values from a DataBindingSource.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.Class<T> targetType

  - ### Property Detail

    - #### final java.lang.Class<T> targetType

  - ### Constructor Detail

    - #### AbstractStructuredBindingEditor()

  - ### Method Detail

    - #### @java.lang.Override T getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource bindingSource)

    - #### abstract T getPropertyValue(java.util.Map values)

    - #### java.util.Map<java.lang.String, java.lang.Object> getPropertyValuesMap(java.lang.String propertyPrefix, DataBindingSource bindingSource)

      A convenience method for extracting structured values from a DataBindingSource. The method will look for all properties in bindingSource which have a key which begins with propertyPrefix followed by an underscore and put each of those values in the resulting Map with a key that matches the original key with the propertyName plus prefix removed. For example, if propertyPrefix is "address" and bindingSource contains the key "address_city" with a value of "St. Louis" then the resulting Map will contain an entry such that the key is "city" with a value of "St. Louis"

      Parameters:
        `propertyPrefix` - The property name to extract structured values for
        `bindingSource` - the DataBindingSource to extract structured values from
      Returns:
        A Map containing keys and values as described above.